Engadget for the iPhone: download the app now
AOL Tech

Alex

Member since: Jan 9th, 2007

Alex's Latest Comments

Blog Activity
Blog# of Comments
Download Squad1 Comment

Recent Comments:

How to make your own Dashboard Widget with Dashcode (Download Squad)

Jan 9th 2007 8:02AM I think the reason it asks you for the minimum version of OSX required for the widget is due to the fact that AppleClasses; white info button (go to preferences), Apple Animator (Flip animation), etc, are not included in any version of Mac OSX below 10.4.3. So for the widget to work on versions below that, the AppleClasses need to put inside the widget bundle locally.

here is the link that explains apple classes for anyone interested.

http://developer.apple.com/documentation/AppleApplications/Conceptual/Dashboard_ProgTopics/Articles/AppleClasses.html#//apple_ref/doc/uid/TP40003186